using System;
using NinjaTrader.Adapter;

internal sealed class Delegate180 : MulticastDelegate
{
	public extern IAdapter Invoke(object object_0);

	public static IAdapter smethod_0(object object_0, Delegate180 delegate180_1)
	{
		return delegate180_1(object_0);
	}

	public extern Delegate180(object object_0, IntPtr intptr_0);

	static Delegate180()
	{
		Class10.smethod_13(typeof(Delegate180).TypeHandle);
	}

	internal static Delegate180 delegate180_0;
}
